Bug 20647 - When ILL is enabled the hover effect on the ILL requests button is wrong.
Summary: When ILL is enabled the hover effect on the ILL requests button is wrong.
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 7317
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-24 10:02 UTC by Martin Renvoize
Modified: 2018-08-10 13:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20647: Correct hover effect for Ill module (1.61 KB, patch)
2018-05-21 09:26 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20647: (alternate) When ILL is enabled the hover effect on the ILL requests button is wrong (85.18 KB, patch)
2018-06-04 18:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot showing updated staff client home page (36.46 KB, image/png)
2018-06-04 18:34 UTC, Owen Leonard
Details
Bug 20647: (alternate) When ILL is enabled the hover effect on the ILL requests button is wrong (85.24 KB, patch)
2018-06-29 09:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20647: (alternate) When ILL is enabled the hover effect on the ILL requests button is wrong (86.25 KB, patch)
2018-07-23 16:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-04-24 10:02:13 UTC
The Icon part of the button on the main staff client page does not highlight with the text for the ILL requests button the same was as it does for all other module buttons on that page.
Comment 1 Martin Renvoize 2018-05-21 09:26:15 UTC
Created attachment 75456 [details] [review]
Bug 20647: Correct hover effect for Ill module
Comment 2 Owen Leonard 2018-06-04 18:32:48 UTC
Created attachment 75785 [details] [review]
Bug 20647: (alternate) When ILL is enabled the hover effect on the ILL requests button is wrong

This alternate patch adds a new icon to the sprite image which gives
icons to the link on the staff client home page. It modifies the CSS
positioning for all the links as the new image sprite is somewhat
different.

The SVG file from which the sprite image was generated is also updated,
and the about page has been updated to give credit to the creator of the
icon.

Unrelated change: The cataloging link is moved to the second column.
Although it's probably rare for all modules to be enabled and available,
this puts the same number of links in each column.

To test, apply the patch and clear your browser cache if necessary. With
interlibrary loan enabled, view the staff client home page and confirm
that all the module links look correct, including when you hover your
mouse over them.

Confirm that the about page lists the new icon under the "licenses" tab.
Comment 3 Owen Leonard 2018-06-04 18:34:26 UTC
Created attachment 75786 [details]
Screenshot showing updated staff client home page
Comment 4 Martin Renvoize 2018-06-26 14:27:26 UTC
Looks much nicer than my fix 😀.
Comment 5 Martin Renvoize 2018-06-29 09:35:15 UTC
Comment on attachment 75456 [details] [review]
Bug 20647: Correct hover effect for Ill module

Obsoleting my patch.. Owens is much nicer.. :)
Comment 6 Martin Renvoize 2018-06-29 09:37:55 UTC
Created attachment 76557 [details] [review]
Bug 20647: (alternate) When ILL is enabled the hover effect on the ILL requests button is wrong

This alternate patch adds a new icon to the sprite image which gives
icons to the link on the staff client home page. It modifies the CSS
positioning for all the links as the new image sprite is somewhat
different.

The SVG file from which the sprite image was generated is also updated,
and the about page has been updated to give credit to the creator of the
icon.

Unrelated change: The cataloging link is moved to the second column.
Although it's probably rare for all modules to be enabled and available,
this puts the same number of links in each column.

To test, apply the patch and clear your browser cache if necessary. With
interlibrary loan enabled, view the staff client home page and confirm
that all the module links look correct, including when you hover your
mouse over them.

Confirm that the about page lists the new icon under the "licenses" tab.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2018-06-29 09:38:39 UTC
Signing off, works as expected..  :)
Comment 8 Jonathan Druart 2018-07-23 16:56:26 UTC
Created attachment 77190 [details] [review]
Bug 20647: (alternate) When ILL is enabled the hover effect on the ILL requests button is wrong

This alternate patch adds a new icon to the sprite image which gives
icons to the link on the staff client home page. It modifies the CSS
positioning for all the links as the new image sprite is somewhat
different.

The SVG file from which the sprite image was generated is also updated,
and the about page has been updated to give credit to the creator of the
icon.

Unrelated change: The cataloging link is moved to the second column.
Although it's probably rare for all modules to be enabled and available,
this puts the same number of links in each column.

To test, apply the patch and clear your browser cache if necessary. With
interlibrary loan enabled, view the staff client home page and confirm
that all the module links look correct, including when you hover your
mouse over them.

Confirm that the about page lists the new icon under the "licenses" tab.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Nick Clemens 2018-08-10 12:56:31 UTC
Awesome work all!

Pushed to master for 18.11
Comment 10 Martin Renvoize 2018-08-10 13:56:08 UTC
I chose to treat this as a bugfix as it fixes incorrect behaviour.

Pushed to 18.05.x for 18.05.03